Subject: Re: [PATCH 2/7] NetLabel: core network changes

From: Paul Moore <[email-masked]>
Date: Fri, 28 Jul 2006 13:58:36 -0400

Thomas Graf wrote:
> * [email-masked] <[email-masked]> 2006-07-17 11:52
> 
>>+ * NetLabel makes use of the Generic NETLINK mechanism as a transport layer to
>>+ * send messages between kernel and user space.  The general format of a
>>+ * NetLabel message is shown below:
>>+ *
>>+ *  +-----------------+-------------------+--------- --- -- -
>>+ *  | struct nlmsghdr | struct genlmsghdr | payload
>>+ *  +-----------------+-------------------+--------- --- -- -
>>+ *
>>+ * The 'nlmsghdr' and 'genlmsghdr' structs should be dealt with like normal.
>>+ * The payload is dependent on the subsystem specified in the
>>+ * 'nlmsghdr->nlmsg_type' and should be defined below, supporting functions
>>+ * should be defined in the corresponding net/netlabel/netlabel_<subsys>.h|c
>>+ * file.  All of the fields in the NetLabel payload should be aligned using
>>+ * the alignment functions provided.
>>+ *
>>+ */
>>+
>>+/*
>>+ * NetLabel NETLINK protocol
>>+ */
>>+
> 
> Is there a reason for not using any of the existing netlink and
> genetlink interfaces in any of your patches? It's all duplicated
> code.

I'm  a little confused by your comment, could you be a bit more
specific?  Are you basing your comment strictly on the text above?  If
so, the problem may be my poor excuse for documentation rather then my
poor excuse for implementation :)

I am using the generic netlink interface, in what I believe to be a
"correct" fashion - please correct me if I'm wrong.

-- 
paul moore
linux security @ hp